/// <reference types="node" />
import EthereumSigner from 'arseeding-arbundles-test/src/signing/chains/ethereumSigner';
import { InjectedEthereumSigner, InjectedArweaveSigner } from 'arseeding-arbundles-test/src/signing';
import { GenAPIReturn, GenArweaveAPIReturn, GenNodeAPIReturn } from './types';
import ArweaveSigner from 'arseeding-arbundles-test/src/signing/chains/ArweaveSigner';
export declare const genAPI: (windowEthereum: any) => Promise<GenAPIReturn>;
export declare const genArweaveAPI: (windowArweaveWallet: any) => Promise<GenArweaveAPIReturn>;
export declare const genNodeAPI: (pk: string) => GenNodeAPIReturn;
export declare const getItemMeta: (arseedingUrl: string, itemId: string) => Promise<any>;
export declare const getBundleFee: (arseedingUrl: string, size: string, currency: string) => Promise<any>;
export declare const getOrders: (arseedingUrl: string, signerAddr: string) => Promise<any>;
export declare const getDataByGW: (arseedingUrl: string, itemId: string) => Promise<any>;
export declare const submitByApikey: (arseedingUrl: string, apiKey: string, tag: string, data: Buffer, contentType: string, tags: {
    [key: string]: string;
}) => Promise<any>;
export declare const getTokenTagByEver: (symbol: string, debug?: boolean) => Promise<string[]>;
export { EthereumSigner, ArweaveSigner, InjectedArweaveSigner, InjectedEthereumSigner };
//# sourceMappingURL=index.d.ts.map